/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { StandardDeviationIndicatorStrategy } from "./StandardDeviationIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let StandardDeviationIndicator = /*@__PURE__*/ (() => {
    class StandardDeviationIndicator extends StrategyBasedIndicator {
        bj() {
            return new StandardDeviationIndicator();
        }
        get_abt() {
            return new StandardDeviationIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return StandardDeviationIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get ace() {
            return typeGetValue(this.c(StandardDeviationIndicator.acf));
        }
        set ace(a) {
            this.h(StandardDeviationIndicator.acf, a);
        }
        abz() {
            return this.ace;
        }
        ab8(a) {
            this.ace = a;
        }
    }
    StandardDeviationIndicator.$t = markType(StandardDeviationIndicator, 'StandardDeviationIndicator', StrategyBasedIndicator.$);
    StandardDeviationIndicator.acf = StrategyBasedIndicator.acb(20, StandardDeviationIndicator.$);
    return StandardDeviationIndicator;
})();
